Package org.eclipse.birt.chart.computation

# Enum LegendItemHints.Type

java.lang.Object
java.lang.Enum<LegendItemHints.Type>
org.eclipse.birt.chart.computation.LegendItemHints.Type

All Implemented Interfaces:
  `Serializable`, `Comparable<LegendItemHints.Type>`, `java.lang.constant.Constable`

Enclosing class:
  `LegendItemHints`

public static enum LegendItemHints.Type extends Enum<LegendItemHints.Type>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`LG_ENTRY`
`LG_GROUPNAME`
`LG_MINSLICE`
`LG_SEPERATOR`

## Method Summary

Modifier and Type
Method
Description
`static LegendItemHints.Type`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static LegendItemHints.Type[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### LG_GROUPNAME

public static final LegendItemHints.Type LG_GROUPNAME

### LG_ENTRY

public static final LegendItemHints.Type LG_ENTRY

### LG_MINSLICE

public static final LegendItemHints.Type LG_MINSLICE

### LG_SEPERATOR

public static final LegendItemHints.Type LG_SEPERATOR

## Method Details

### values

public static LegendItemHints.Type[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static LegendItemHints.Type valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null